# Magic: The Gathering

[Magic: The Gathering](https://magic.wizards.com) - often shortened to MTG or Magic - is a tabletop
[collectible card game](/wiki/games/trading_card_games.md).
MTG is published by [Wizards of the Coast](https://company.wizards.com) - which are commonly
reffered to as Wizards.
In Magic: The Gathering there are many different formats that are all listed on
[the official website](https://magic.wizards.com/en/formats).
Rules can also be found on [Wizards website](https://magic.wizards.com/en/rules).
MTG is a notoriously complex game and proven to be
[Turing Complete](https://arxiv.org/pdf/1904.09828.pdf).

## Playing Online

There is a fully digital and online version of MTG called
[Magic: The Gathering Arena](https://magic.wizards.com/mtgarena) - or MTGA for short - that has
nearly the same rules as the tabletop variant.
Another alternative to playing fully digital is [Magic: The Gathering Online](https://www.mtgo.com).
This is also known as MTG Online or MTGO.

It is also possible to remotely play with tabletop cards.
This is most easily done on [Spelltable](https://spelltable.wizards.com/) which is an official
website by Wizards.
For playing Spelltable a [webcam](/wiki/webcams.md) is needed to be set up with a bird's eye view
over the playing field.
An alternative to a normal webcam is [DroidCam](/wiki/android/droidcam.md) for
[Android](/wiki/android.md) which is supported by the website itself.

Both Spelltable and MTGA use the same login credentials.

## Resources

There are many useful resources.
The this section provides a select few of them.
They are grouped by use case.

The first group of websites and apps provide a management interface aswell as a deck building
functionality.
Many of them also feature public decks.

- [Archidekt](https://archidekt.com/) is another popular deck building site.
  With the option to build commander decks based on a specific commander.
  It additionally features the display of public decks.
- [deckbox](https://deckbox.org/) is a very clean deck builder website.
- [deckstats.net](https://deckstats.net/) gives the option to build and analyze MTG(A) decks.
- [Delver Lens](https://www.delverlab.com/) is an [Android](/wiki/android.md) application for
  scanning cards and displaying its price.
  Following scanning the cards can be exported to a CSV file.
- [Dragon Shield MTG Card Manager](https://mtg.dragonshield.com/) is a collection and deck manager
  available both as an apple and [Android](/wiki/android.md) app and as a website.
  It features a card scanner for easy population of the collection
- [MTG Collection Builder](https://mtgcollectionbuilder.com/) is a website to organize and analyze
  your magic cards.
  It was specially made for collectors rather than players.
- [MTG Desktop Companion](https://www.mtgcompanion.org/) is a collection manager for MTG that
  includes prices, stats and a deck builder, aswell as the option to import and export to most of
  the used MTG deck formats.
  It is free and open-source.
  Its source code can be looked at on their
  [GitHub Page](https://github.com/nicho92/MtgDesktopCompanion).
- [Moxfield](https://www.moxfield.com/) is a popular deck building site.
  It also displays public decks.
  If a deck is entered into Moxfield tokens that are needed to play the deck can be displayed.
- [MTG CSV Helper](https://stepkie.github.io/MtgCsvHelper/) is a CSV format conversion tool to
  convert between the different formats used by collection managers.

The second group is about giving resources for building decks.
This can be done by providing public decks or showing which decks or cards are popular in which
format.

- [CubeCobra](https://cubecobra.com/explore) is a website that is based around the creation of
  draft cubes.
  For booster box alternatives cassete cases can be used.
- [Tapped Out](https://tappedout.net/) is a website that among other things can suggest decks based
  on owned cards.
- [MTGGoldFish](https://www.mtggoldfish.com/) is a website for different topics regarding MTG.
  It features various decks including budget variants of it.
  Additionally it lists tournaments with decks played which can be a useful resource to understand
  the metagame.

The following websites provide useful information on cards or rulings of MTG.

- [EDHREC](https://edhrec.com/) is a website that can recommend cards based on an already existing
  commander or improve existing commander decks.
- [Hyperlinked Magic](https://yawgatog.com/resources/magic-rules/) is a website that features a
  hyperlinked HTML-version of MTG rules.
- [Scryfall](https://scryfall.com/) is a website to search and display Magic cards in specific
  printings.
  Scryfall can query advanced patterns using
  [their specific syntax](https://scryfall.com/docs/syntax).
  Among others this site can be used to check for cards that create tokens.
  An example for this is running a search with the term `o:create o:golem` to find cards that
  create a golem token.
  For other advan
- [What's in Standard?](https://whatsinstandard.com/) lists the sets that are currently legal in
  the standard format.
- [Magic Judges](https://chat.magicjudges.org/mtgrules/) is a live chat with judges to clarify the
  rules.

This group of resources is used to organize and join MTG tabletop, MTGA and MTGO tournaments.

- [Melee](https://melee.gg/) is a website that allows organization and joining of MTG and MTGA
  tournaments.
- [Magic: The Gathering Companion](https://magic.wizards.com/de/products/companion-app) is a mobile
  app that is officially made by Wizards.
  It features a tool to join tabletop tournaments in licensed stores and locations.

The following sites are focussed on analyzing decks and strategies for MTG Arena.

- [17Lands](https://www.17lands.com/faq) is a website focused on improving the draft of players in
  MTGA.
- [Untapped.gg](https://mtga.untapped.gg/) is a website and desktop app that analyzes MTGA decks and
  strategies.

This group of resources are websites on which MTG cards and supply can be bought.

- [Card Kingdom](https://www.cardkingdom.com/) is a website to shop MTG cards and supply.
  It ships from the united states of america.
- [cardmarket](https://www.cardmarket.com/) is a trading post for tabletop cards based in europe.
- [TCGPlayer](https://www.tcgplayer.com) is a trading post for tabletop cards that is used
  world-wide.

The following websites can be used to design or obtain images for proxies or print them.

- [Printers Studio](https://www.printerstudio.de/machen/komplett-individualisierbare-spielkarten-geschenke.html)
  can be used to print custom proxies.
- [Card Conjurer](https://cardconjurer.onrender.com/) is a website to design custom MTG-style
  cards.
- [MPC Fill](https://mpcfill.com/) can be used to obtain front and back images for non-custom proxy
  cards.

The following sites sell MTGO tix and sell or rent cards.

- [Cardhoarder](https://www.cardhoarder.com/) is a MTGO card selling site with renting service.
- [Goatbots](https://www.goatbots.com) is an MTGO website that sells cards and tix.
- [Mana Traders](https://www.manatraders.com/) is a renting service for MTGO cards, aswell as a way
  to buy tix.

Lastly [decklist.org](https://decklist.org/) can be used to neatly print out deck lists.

## Deck Building

A central part of MTG is the composition of cards to a deck.
This section addresses the act of building a deck and important topics regarding deck composition.
Starting with the general topics of deck building this section will then split into multiple
subsections for building decks of different deck size.
This following general part is mainly based on a [YouTube](/wiki/youtube.md)
[video by Pompeius IIb.](https://www.youtube.com/watch?v=a37dLTiV58o).

It is generally recommended to stick with the minimum number of allowed cards in a format for a
deck.
This will assure that cards that are in the deck have a higher possibility to be drawn or in the
starting hand.

The first step of building a deck is setting up a clear strategy.

There are 3 main strategies.
Aggro decks are meant to build pressure and end the game fastly.
They are generally proactive and have minimal interaction with the opponent.
On the other side of the spectrum are control decks.
They counter the opponent and neutralize their strategy.
Due to this they are reactive.
These type of decks usually use a lot of card draw to get the advantage and find the correct counter
for a given opponent.
As a third theme combo decks use a combination of cards that are meant to finish the game.
They are based on finding these cards and performing the combo.
These kind of decks can use loops that can take a long time or even are infinite.

There are also combination of these strategies.
Aggro and control decks are called tempo or midrange decks.
Control and combo decks use the combo as a finisher to the game but are generally similar to control
decks.
The combination of aggro and control are generally fast, non-interactive and are synergy based Aggro
decks.

To find a strategy for your needs the following three questions are important to answer.

- How to end the game?
- When to end the game?
- How many interactions with the opponent?

The other big topic in deck building is card selection.

For picking a card multiple things have to be considered.
The card has to be efficient mana-wise.
It should therefore always be compared to other cards that are played similarly.
For creatures without any bonus attributes it is said that 1 Power and 1 Toughness per Mana is a
good starting point.
Additionally cards should fit the strategy and shouldn't be too specific.
Modal spells (1 card with multiple options) can be useful to be prepared for different
situations without too specific cards
They shouldn't be "win-more"-card and play good on their own.
The cards selected should include some few good concepts and synergies between cards.

Another thing to consider is the mana curve.
Mana curve describes the histogram of the mana values of the cards in a deck.
The curve should always begin at 1 and when the point is reached that wasspecified to end the game.
Using mana-acceleration a turn and its mana cost on the curve can be reduced or skipped.

The mana base is the land cards that are in a deck.
The mana base should include the right colors in the right ratio.
This ration can be calculated by calculating the mean of all used mana colors.
Sometimes it can be useful to increase the mana color of cards that are needed very early in the
game to ensure they can be played.
In non-mono decks double lands are useful but their restrictions they come with should be noted.
Approximately 1/3 of a deck should be reserved for land cards.
A guide for a budget mana base in the modern format was written by
[SaffronOlive on MTGGoldFish](https://www.mtggoldfish.com/articles/brewer-s-minute-building-a-budget-mana-base-in-modern).

For many archetypes of decks in most formats there are staples.
Staples are cards of a given color or type that are generally considered good in a deck.

### Tipps on Building a Modern, Pauper or Standard Deck

This section will focus on the building of a 60 card modern, pauper or standard deck.
60 cards per deck is the minimum requirement for most formats like standard, modern and more.
This section is also mainly based on a [YouTube](/wiki/youtube.md)
[video by Pompeius IIb.](https://www.youtube.com/watch?v=a37dLTiV58o).

All tipps that are in the [above section](#deck-building) are to be considered in this section too.

As a rule of thumb the number of lands in a 60 card deck should be around
`18 + [cost of the most expensive card] (+- 1)`.

It is recommended to use playsets (4 cards) of cards or use multiple cards that are similar to
reduce the possibilities of draws.

### Tipps on Building a Commander Deck

This section will focus on the building of a 100 card commander deck.
100 cards per deck is most notably the minimum requirement for the commander format.
Therefor this section will mostly focus on commander

All tipps that are in the [above section](#deck-building) are to be considered in this section too.

For commander decks it is also important to select a commander to build the deck around.
Selecting the commander should be done in a step before choosing the strategy.

There are five main templates to build a commander.
The first three templates are fairly similar and will be explained as one in the
[following section](#9x7-8x8-and-7x9-deck-templates).
The last in the [section thereafter](#the-command-zone-deck-template).
The last template is based on an article by
[Tomer Abramovici on MTGGoldFish](https://www.mtggoldfish.com/articles/the-power-of-a-deckbuilding-checklist-commander-quickie).

#### 9x7, 8x8 and 7x9 Deck Templates

This section is mainly based on a [EDH Wiki entry](https://edh.fandom.com/wiki/7_by_9).
These three templates are considered to be very flexible.
Each theory gives a number of categories and a number of cards in that category.
Those categories of cards are intended to use many cards with similar effects to make the deck more
robust and redundant to draw similar cards consistently.

The categories are usually a combination of the following ones - though other categories are
possible.

- Card Draw
- Ramp
- Board Wipes
- Spot Removal
- Protection
- Reanimation Spells
- Tutors
- Haste Enablers
- Counterspells
- Buffs
- Blink Spells
- Token Makers
- Lifegain
- Lifegain Payoffs
- Graveyard Hate
- Pet Cards
- Miscellaneous

The three templates are the following:
The first is 7 categories by 9 cards (7x9) which will leave 36 cards for the mana base.
8 categories by 8 cards (8x8) which will leave 35 cards for the mana base.
9 categories by 7 cards (9x7) which will leave 36 cards for the mana base.

The category number and sizes can be adjusted.
It is considered that 10 cards in a category will make 2 cards of that category appear in a game and
a good chance to draw one card of that category in the starting hand.
categories with 5 cards are considered to make 1 card of that category appear in a game.

#### The Command Zone Deck Template

The fourth template is a template made by the [YouTube](/wiki/youtube.md) channel named
[Command Zone](https://www.youtube.com/@commandcast).
This section is therefore based on the corresponding
[video by Command Zone](https://www.youtube.com/watch?v=3K9PEeLG_6M).

It specifies the following categories and number cards in them.
The first card is the commander.
36 to 38 cards are used for the mana base.
10 cards are used for mana ramp.
10 cards are used for card draw.
5 cards each are used for targeted removal and board wipes.
The remaining 31 to 33 cards are used for the intended game strategy and deck plan.
