# Smart Devices

Smart devices are electronic devices that are interconnected, connected to a local network or
connected to the internet.
Smart devices include smart home devices aswell as smartphones, smartwatches and more.
They can often be considered to be part of the Internet of Things (IoT).
Smartphones can use an operating system like [Android](/wiki/android.md).
Other devices often use customized versions of [Linux](/wiki/linux.md).

## Smart Home

Many smart home devices can be controlled via [Bluetooth](/wiki/bluetooth.md), Zigbee or Z-Wave.
[Home Assistant](/wiki/home_assistant.md) is a free and open-source software that is designed to be
a central control system for smart home devices.

## Smartwatches and Smart Bands

Smartwatches and bands are wearable computers in form of a watch or armband.
They can include biomonitoring and other applications.
Smartwatches and bands are often connected to a smartphone.
On [Android phones](/wiki/android.md) [Gadgetbridge](/wiki/android/gadgetbridge.md) can be used as
an alternative to proprietary applications by the smart devices' vendor.

## Smartphones and Tablet Computers

Smartphones and Tablet computers are among the most used electronic devices.
They are often used to [communicate](/wiki/communication.md) or
[surfing the internet](/wiki/web_browser.md).

### Remote Control and Screen Mirroring

[Android](/wiki/android.md) based devices can use [scrcpy](/wiki/android/scrcpy.md) to mirror the
screen and allow controlling it by a [Windows](/wiki/windows.md) or [Linux](/wiki/linux.md) system.

### Usage as a Webcam

Smartphones and Tablet computers usually are equipped with a decent camera.
If a [Linux](/wiki/linux.md) or [Windows](/wiki/windows.md) system is missing a
[webcam](/wiki/webcams.md) which is only rarely used it can be useful to repurpose the smart device
as a webcam.
This can be done as explained in the [webcam entry](/wiki/webcams.md#using-a-smartphone-as-webcam).
